Bug 1273793 - NetKVM: Initialisation and power on code sequences should use same or as similar as possible code
NetKVM: Initialisation and power on code sequences should use same or as simi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win (Show other bugs)
7.3
All Windows
low Severity medium
: rc
: ---
Assigned To: Yan Vugenfirer
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 05:08 EDT by Yan Vugenfirer
Modified: 2017-01-06 01:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-06 01:57:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Vugenfirer 2015-10-21 05:08:01 EDT
Description of problem:

Currently there are some differences between initial device initialisation and initialisation of the device after power up. 

Should be fix to make the code more robust and maintainable.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Yan Vugenfirer 2015-10-21 08:28:41 EDT
Solved by 273791
Comment 4 lijin 2016-01-05 21:39:55 EST
Hi Yan,

As you said in comment#1,it should avoid possible issues with HCK MPE test,does that means all HCK MPE jobs should pass with the fixed build?

According to virtio-win-prewhql-111 netkvm whql test result,job "NDISTest 6.5 - [2 Machine] - MPE_Ethernet.xml" failed on win2012,win2012R2 and win8.1-64 guests(bug1013336).

How should we confirm this issue has been fixed? Is no regression bug found enough?

Thanks
Comment 5 Yan Vugenfirer 2016-01-06 01:59:14 EST
(In reply to lijin from comment #4)
> Hi Yan,
> 
> As you said in comment#1,it should avoid possible issues with HCK MPE
> test,does that means all HCK MPE jobs should pass with the fixed build?
> 
> According to virtio-win-prewhql-111 netkvm whql test result,job "NDISTest
> 6.5 - [2 Machine] - MPE_Ethernet.xml" failed on win2012,win2012R2 and
> win8.1-64 guests(bug1013336).
> 
> How should we confirm this issue has been fixed? Is no regression bug found
> enough?
> 
> Thanks

Please check for regressions.

Thanks.
Comment 8 lijin 2016-09-02 03:42:56 EDT
change status to verified as there is no regression bugs with latest build:virtio-win-prewhql-126
Comment 9 lijin 2017-01-06 01:57:56 EST
close as this issue has already been fixed in rhel7.3 virtio-win package

Note You need to log in before you can comment on or make changes to this bug.